#!/usr/bin/perl

=pod

=head1 NAME

display.fcgi - FastCGI wrapper script for Display.pm

=head1 DESCRIPTION

Pulls in Display.pm and CGI::Fast, runs a configuration file, and
loops over FastCGI queries, passing them to Display::handle.

=cut

use strict;
use warnings;
no  warnings 'uninitialized';

use lib 'lib';
use lib 'wala';

use CGI::Fast;
use Display qw(%WalaConf %DISPLAY_CONF &handle);

# Grab configuration:
if (-e 'conf.pl') {
    do 'conf.pl';
}

$WalaConf{'ShowSearchlinks'} = 0;

# Handle input from FastCGI:
while (my $query = new CGI::Fast) {
    print handle($query);
}

exit;
