#!/usr/bin/perl

=pod

=head1 NAME

display.pl - simple wrapper script for Display.pm

=head1 DESCRIPTION

Pulls in Display.pm, runs a configuration file, and passes off parameters to
Display::handle.

=cut

use strict;
use warnings;
no  warnings 'uninitialized';

use lib 'lib';
use lib 'wala';

use Display qw(%WalaConf %DISPLAY_CONF &handle);

# Grab configuration:
if (-e 'conf.pl') {
    do 'conf.pl';
}

$WalaConf{'ShowSearchlinks'} = 0;

print handle(@ARGV);
